При попытке установить pyautogui через cmd выдает очень многа букав?

Ameno

Новичок
Пользователь
Ноя 10, 2020
1
0
1
Приветствую! Бывалые подскажите плиз, как фиксить?!

ERROR: Command errored out with exit status 1:
command: 'c:\users\biba\appdata\local\programs\python\python38-32\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\biba\\AppData\\Local\\Temp\\pip-install-yr12jd77\\pyautogui\\setup.py'"'"'; __file__='"'"'C:\\Users\\biba\\AppData\\Local\\Temp\\pip-install-yr12jd77\\pyautogui\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
cwd: C:\Users\biba\AppData\Local\Temp\pip-install-yr12jd77\pyautogui\
Complete output (26 lines):
Traceback (most recent call last):
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\pkg_resources\__init__.py", line 2857, in get_entry_map
ep_map = self._ep_map
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\pkg_resources\__init__.py", line 2815, in __getattr__
raise AttributeError(attr)
AttributeError: _ep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Users\biba\AppData\Local\Temp\pip-install-yr12jd77\pyautogui\setup.py", line 18, in <module>
setup(
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\setuptools\__init__.py", line 144, in setup
_install_setup_requires(attrs)
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\setuptools\__init__.py", line 132, in _install_setup_requires
dist = distutils.core.Distribution(dict(
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\setuptools\dist.py", line 443, in __init__
for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\pkg_resources\__init__.py", line 656, in <genexpr>
for entry in dist.get_entry_map(group).values()
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\pkg_resources\__init__.py", line 2859, in get_entry_map
ep_map = self._ep_map = EntryPoint.parse_map(
File "c:\users\biba\appdata\local\programs\python\python38-32\lib\site-packages\pkg_resources\__init__.py", line 2531, in parse_map
raise ValueError("Entry points must be listed in groups")
ValueError: Entry points must be listed in groups
----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
 
Последнее редактирование:

regnor

Модератор
Команда форума
Модератор
Июл 7, 2020
2 618
469
83
может быть решение тык
 

Форум IT Специалистов